local L = LibStub("AceLocale-3.0"):NewLocale("WymBuffs", "enUS", true)

L["wymbuffs"] = true
L["wb"] = true

L["Settings"] = true

L["WymBuffs is an addon for keeping track of buffs on yourself or other units. Buffs are placed into frames. Each frame " ..
  "tracks one unit for buffs or debuffs and can be configured with its own display and buff filter settings."] = true

L["Enable"] = true
L["Turns WymBuffs on or off."] = true

L["Select Buff Frame"] = true
L["Select a buff frame to configure."] = true

L["New Buff Frame"] = true
L["Enter the name of the frame you want to create here."] = true
L["The frame name cannot be empty."] = true
L["A frame with that name is already defined."] = true
L["Copy Settings From"] = true
L["Copy the settings from another buff frame to the selected one."] = true
L["Delete Buff Frame"] = true
L["Delete the currently selected buff frame."] = true

L["The value for this settings has to be a number."] = true

L["Hide Blizzard Frames"] = true
L["Hide the default buff and debuff frames."] = true

L["General Settings"] = true
L["Enable or disable this buff frame."] = true
L["Unit"] = true
L["Sets the unit this frame should monitor for buffs/debuffs."] = true
L["Type"] = true
L["Sets the type of aura this frame should monitor the selected unit for."] = true

L["Player"] = true
L["Target"] = true
L["Focus"] = true
L["Pet"] = true
L["Vehicle"] = true
L["Mouseover"] = true
L["Weapon Buffs"] = true

L["Buffs"] = true
L["Debuffs"] = true

L["Display Type"] = true
L["Display the buffs in this frame as bars or icons."] = true
L["Bars"] = true
L["Icons"] = true

L["Buff Sort Order"] = true
L["Sets the order in which the bars in this frame are sorted."] = true
L["Added"] = true
L["Duration"] = true
L["Name"] = true
L["Type"] = true

L["Reverse Sort Order"] = true
L["Add bars to this frame in the reverse of the selected sort order."] = true

L["Direction"] = true
L["Sets the direction new buffs are added to this frame. The actual direction will depend on where the frame anchor point is."] = true
L["Vertical"] = true
L["Horizontal"] = true

L["Rows Or Columns"] = true
L["Sets the number of rows (if direction is set to vertical) or columns (if direction is set to horizontal) in this frame."] = true

L["Hide Out of Combat"] = true
L["Only add buffs to this frame if the player is in combat."] = true
L["Only Watch NPCs"] = true
L["Only add buffs to this frame if the unit monitored by this frame is an NPC."] = true

L["Play Warning Sound"] = true
L["Play a warning sound when a buff is added to this frame."] = true
L["Warning Sound"] = true
L["Select the sound to be played when a buff is added to this frame."] = true
L["Flash On New Buff"] = true
L["Show a flash animation when a buff is added to this frame."] = true
L["Flash Size"] = true
L["Sets the size of the flash animations on new buffs for this frame."] = true


L["Show Test Buffs"] = true
L["Add a few test buff to help with configuration to this frame."] = true

L["Position"] = true
L["Anchor Point"] = true
L["Sets the anchor point of this frame."] = true
L["Relative Point"] = true
L["Sets the relative point of the screen this frame is anchored to."] = true

L["X offset"] = true
L["Y offset"] = true
L["X offset for the anchor point."] = true
L["Y offset for the anchor point."] = true

L["Bar Layout"] = true

L["Bar Width"] = true
L["Sets the width of the bars in this frame."] = true
L["Bar Height"] = true
L["Sets the height of the bars in this frame."] = true
L["Bar Spacing"] = true
L["Sets the spacing between bars in this frame."] = true

L["Bar Texture"] = true
L["Sets the texture for the bars in this frame."] = true
L["Bar Background"] = true
L["Sets the background color for the bars in this frame."] = true

L["Bar Label Font"] = true
L["Sets the font for the text on the bars in this frame."] = true
L["Font Size"] = true
L["Sets the font size for the text on the bars in this frame."] = true
L["Outline"] = true
L["Sets the outline of the font of the text on the bars in this frame."] = true
L["None"] = true
L["Thin"] = true
L["Thick"] = true
L["Bar Label Text Color"] = true
L["Sets the color of the text on the bars in this frame."] = true

L["Alignment"] = true
L["Sets the alignment of the text on the bars in this frame."] = true 
L["Left"] = true
L["Center"] = true
L["Right"] = true

L["Show Spark"] = true
L["Show the position spark on the bars in this frame."] = true
L["Show Time"] = true
L["Show remaining time on the bars in this frame."] = true
L["Show Icon"] = true
L["Show the buff icon next to the bars in this frame."] = true

L["Icon Layout"] = true

L["Icon Label Font"] = true
L["Sets the font for the buff name label for the icons in this frame."] = true
L["Sets the font size for the buff name label for the icons in this frame."] = true
L["Sets the outline for the buff name label for the icons in this frame."] = true
L["Icon Label Text Color"] = true
L["Sets the color of the text on the name label for the icons in this frame."] = true
L["Label Position"] = true
L["Sets the position of or hides the buff name label for the buffs in this frame."] = true

L["Timer Font"] = true
L["Sets the font for the timer for the icons in this frame."] = true
L["Sets the font size for the timer for the icons in this frame."] = true
L["Sets the outline for the timer for the icons in this frame."] = true
L["Icon Timer Text Color"] = true
L["Sets the color of the timer for the icons in this frame."] = true
L["Timer Position"] = true
L["Sets the position of or hides the timer for the buffs in this frame."] = true
L["Timer Format"] = true
L["Sets the format of the timer for the buffs in this frame."] = true

L["Icon Scale"] = true
L["Sets the scale of the icons for this frame."] = true
L["Icon Spacing"] = true
L["Sets the spacing between the icons in this frame."] = true

L["Show Border"] = true
L["Show a colored border for buffs in this frame."] = true
L["Border Size"] = true
L["Adjusts the size of the border texture to make it fit the icon better if a skin that adjusts the icon size is used."] = true

L["Buff Watchlist And Settings"] = true
L["Buff Watchlist"] = true
L["List of buffs that will be monitored by this frame. If this frame is watching temporary weapon buffs then these settings will not filter buffs, they " ..
  "will only set color and warnings for the listed buffs."] = true


L["Add Buff To Watchlist"] = true
L["Enter the name of the buff you want this frame to monitor."] = true
L["A buff with that name is already being monitored by this frame."] = true

L["Delete Buff"] = true
L["Delete the currently selected buff from the list of buffs monitored by this frame."] = true

L["Use Default Buff Color"] = true
L["Use the default color for the debufftype of the buff for bars or icons for this buff in this frame."] = true

L["Buff Color"] = true
L["Sets the color for the bar or icon for this buff in this frame."] = true

L["Warn When Expiring"] = true
L["Warn when this buff is close to expiring."] = true
L["Warning Time"] = true
L["Sets how many seconds before the buff expires the warning should be performed."] = true
L["Play Warning Sound"] = true
L["Play a warning sound when this buff is close to expiring."] = true
L["Select the sound to be played when this buff is close to expiring."] = true
L["Blink Buff"] = true
L["Blink this buff when it is close to expiring."] = true
L["Blink speed"] = true
L["Sets the speed this buff will blink at when it is close to expiring."] = true
L["Only Warn In Combat"] = true
L["Only perform a warning when this buff is close to expiring if you are in combat."] = true
L["Show Missing Only If Spell Exists"] = true
L["Only show this buff as missing if your spellbook contains a spell with the same name as the buff."] = true

L["Buff Filter"] = true
L["Blacklist"] = true
L["If this option is selected, all buffs except those in the buff watch list will be added to this frame."] = true
L["Show Missing Buffs"] = true
L["If this option is selected, only the buffs in the buff watch list that are missing will be added to this frame. " ..
  "If this frame is watching temporary weapon buffs, this setting will instead mean that weapons missing temporary buffs " ..
  "will be included in this frame along with weapons that have temporary buffs."] = true
L["Show Own Buffs Only"] = true
L["If this option is selected, only buffs provided by you will be added to this frame."] = true
L["Show Stealable Buffs Only"] = true
L["Show Dispellable Buffs Only"] = true
L["If this option is selected, only dispellable buffs will be added to this frame."] = true
L["If this option is selected, only buffs that can be stolen will be added to this frame."] = true
L["Show Buffs With No Duration"] = true
L["If this option is selected, buffs that have no duration will be added to this frame."] = true
L["Show Buffs With Duration"] = true
L["If this option is selected, buffs that have a duration will be added to this frame."] = true
L["Max Duration"] = true
L["If this setting is greater than zero, only buffs with a duration shorter than or equal to this number of seconds will be added to this frame."] = true

L["Debuff Categories"] = true

L["Enable"] = true
L["Enables the debuff category filter. If this setting is enabled, the filters in the buff filter section and the buff watch list will be ignored."] = true
L["Physical Damage Taken"] = true
L["Blood Frenzy, Savage Combat, Brittle Bones, Ravage or Acid Spit."] = true
L["Spell Damage Taken"] = true
L["Master Poisoner, Curse of the Elements, Ebon Plaguebringer, Earth and Moon, Fire Breath or Lightning Breath."] = true
L["Bleed Damage Taken"] = true
L["Mangle, Hemorrhage, Blood Frenzy, Tendon Rip, Gore or Stampede."] = true
L["Reduced Attack Speed"] = true
L["Tunder Clap, Icy Touch, Infected Wounds, Judgements of the Just, Riposte, Earth Shock, Tailspin or Dust Cloud."] = true
L["Reduced Casting Speed"] = true
L["Curse of Tongues, Mind-Numbing Poison, Slow, Necrotic Strike, Spore Cloud or Lava Breath."] = true
L["Reduced Armor"] = true
L["Sunder Armor, Expose Armor, Faerie Fire (Feral), Corrosive Spit or Tear Armor."] = true
L["Healing Received"] = true
L["Mortal Strike, Furious Attacks, Improved Mind Blast, Wound Poison, Widow Venom, Permafrost, Legion Strike or Monstrous Bite."] = true
L["Physical Damage Reduction"] = true
L["Demoralizing Shout, Demoralizing Roar (Druid), Vindication, Scarlet Fever, Curse of Weakness or Demoralizing Roar (Hunter pet)."] = true

L["Tooltip"] = true
L["Show a tooltip with information about the buff when you mouseover the buffs in this frame."] = true
L["Sets the anchor point of the tooltip for this frame."] = true
L["Tooltip Scale"] = true
L["Sets the scale of the tooltip for this frame."] = true

-- The below lines are used for the temporary weapon buff filters
L["Thrown"] = true
L["Shield"] = true
